﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class NormalSampler : TextureSampler
	{
		#region Init

        public NormalSampler(String bitmapFile, TextureMapping mapping, Boolean repeat)
			: base(bitmapFile, mapping, repeat)
		{
		}

		#endregion

		#region Sampler

		public override Vector4 GetSample(Vector4 point)
		{
            // sample color from bitmap (use base.GetSample)
            // translate color to normal. Encoding is RGB -> normal(uvw) = (0..1) -> (-1..+1); 
            // Green is inverted !
           
            // get tangent space vectors and transform local normal into world space and return it
            return Vector4.Zero;	
		}

		#endregion
	}
}
